var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import ConfigProvider from '../config-provider';
import React, { Component } from 'react';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { SplitButton as NextSplitButton } from '@alifd/next';
class SplitButton extends Component {
    render() {
        const _a = this.props, { size = 'medium' } = _a, otherProps = __rest(_a, ["size"]);
        let { type } = this.props;
        // @不喜：连在一起效果不好
        if (type === 'primary') {
            type = 'secondary';
        }
        return (React.createElement(NextSplitButton, Object.assign({}, otherProps, { size: size, type: type })));
    }
}
SplitButton.Item = NextSplitButton.Item;
SplitButton.Divider = NextSplitButton.Divider;
SplitButton.Group = NextSplitButton.Group;
hoistNonReactStatics(SplitButton, NextSplitButton);
export default ConfigProvider.config(SplitButton);
